Skip to main content
`Ctrl`+`K`

# PetscSFWindowSyncType

Type of synchronization for `PETSCSFWINDOW`

## Synopsis

    typedef enum {
      PETSCSF_WINDOW_SYNC_FENCE,
      PETSCSF_WINDOW_SYNC_LOCK,
      PETSCSF_WINDOW_SYNC_ACTIVE
    } PetscSFWindowSyncType;

## Values

- `PETSCSF_WINDOW_SYNC_FENCE` - simplest model, synchronizing across communicator

- `PETSCSF_WINDOW_SYNC_LOCK` - passive model, less synchronous, requires less setup than `PETSCSF_WINDOW_SYNC_ACTIVE`, but may require more handshakes

- `PETSCSF_WINDOW_SYNC_ACTIVE` - active model, provides most information to MPI implementation, needs to construct 2-way process groups (more setup than `PETSCSF_WINDOW_SYNC_LOCK`)

## See Also

`PetscSF`, `PetscSFWindowFlavorType`, `PetscSFWindowSetSyncType()`, `PetscSFWindowGetSyncType()`

## Level

advanced

## Location

include/petscsf.h

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages